Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gnome 3.4.0
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
FrankRizz0
Guru
Guru


Joined: 29 Nov 2006
Posts: 390

PostPosted: Thu Mar 29, 2012 8:53 pm    Post subject: Gnome 3.4.0 Reply with quote

Anyone know when 3.4.0 will be in portage?
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 482

PostPosted: Thu Mar 29, 2012 8:56 pm    Post subject: Reply with quote

You can use gnome overlay
_________________
Gentoo Linux ~x86, Kernel 3.11.2, Enermax Revolutions85+ 850W, AMD Athlon 64 X2 5000+ BE, Corsair XMS2 PC6400 3GB, ASUS M2R32, Sapphire HD6870, Creative X-Fi Platinum, WD Raptor 150GB, WD 2.5 320GB, Asus DRW-24B1ST
Back to top
View user's profile Send private message
FrankRizz0
Guru
Guru


Joined: 29 Nov 2006
Posts: 390

PostPosted: Thu Mar 29, 2012 9:41 pm    Post subject: Reply with quote

Yeah I don't like using overlay.
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 482

PostPosted: Thu Mar 29, 2012 9:43 pm    Post subject: Reply with quote

They contain testing software but I have never had a serious problem with an overlay especially gnome or x11.
_________________
Gentoo Linux ~x86, Kernel 3.11.2, Enermax Revolutions85+ 850W, AMD Athlon 64 X2 5000+ BE, Corsair XMS2 PC6400 3GB, ASUS M2R32, Sapphire HD6870, Creative X-Fi Platinum, WD Raptor 150GB, WD 2.5 320GB, Asus DRW-24B1ST
Back to top
View user's profile Send private message
EatMeerkats
Apprentice
Apprentice


Joined: 15 Mar 2006
Posts: 234

PostPosted: Thu Mar 29, 2012 11:05 pm    Post subject: Reply with quote

It hasn't hit the overlay yet, afaik.
Back to top
View user's profile Send private message
jtshs256
n00b
n00b


Joined: 25 Mar 2011
Posts: 17

PostPosted: Fri Mar 30, 2012 4:51 am    Post subject: Reply with quote

http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git
It still has a long way to go. :roll:
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 482

PostPosted: Fri Mar 30, 2012 5:57 am    Post subject: Reply with quote

Ok it is gnome 3.4rc, not too much different from final release
_________________
Gentoo Linux ~x86, Kernel 3.11.2, Enermax Revolutions85+ 850W, AMD Athlon 64 X2 5000+ BE, Corsair XMS2 PC6400 3GB, ASUS M2R32, Sapphire HD6870, Creative X-Fi Platinum, WD Raptor 150GB, WD 2.5 320GB, Asus DRW-24B1ST
Back to top
View user's profile Send private message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 736

PostPosted: Fri Mar 30, 2012 10:47 am    Post subject: Reply with quote

http://bheekly.blogspot.com/2011/03/gnome-3-on-gentoo-and-related-news.html
Back to top
View user's profile Send private message
monsm
Guru
Guru


Joined: 26 Sep 2007
Posts: 463
Location: London, UK

PostPosted: Fri Mar 30, 2012 11:55 pm    Post subject: Reply with quote

<3 wrote:
http://bheekly.blogspot.com/2011/03/gnome-3-on-gentoo-and-related-news.html


That is a very old article, not related to Gnome 3.4 I think (looks like the introduction of 3.0....)

Anyway, I normally wait until there is a meta package available either in normal tree or in the overlay. Seems to be a lot of 3.3.92 versions of packages still, so seems a bit early despite the official announcement.

Mons
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1952
Location: Poland

PostPosted: Tue Apr 03, 2012 5:41 pm    Post subject: Reply with quote

I emerged gnome 3.4 from the overlay, but after login I only get empty "desktop" and after few minutes of waiting, error message: "No system tray detected on this system. Unable to start, exiting.".
Any hint?
Back to top
View user's profile Send private message
FrankRizz0
Guru
Guru


Joined: 29 Nov 2006
Posts: 390

PostPosted: Tue Apr 03, 2012 6:04 pm    Post subject: Reply with quote

I do not use the overlays so I can't be of any assistance, sorry.
Back to top
View user's profile Send private message
Thistled
Guru
Guru


Joined: 06 Jan 2011
Posts: 476
Location: Scotland

PostPosted: Tue Apr 03, 2012 6:19 pm    Post subject: Reply with quote

From my past experience, I would suggest waiting until it hits the tree.
Alexander and the crew are doing a great job, and I don't want to harass them with "when will" queries.
I had a nightmare going from a great 3.1 system to very broken 3.2 system.
Best things come to those who wait eh? :D
_________________
Whatever you do, do it properly!
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1952
Location: Poland

PostPosted: Tue Apr 03, 2012 6:33 pm    Post subject: Reply with quote

Seems the error message is from hplip, not gnome 3.4: http://askubuntu.com/questions/101828/no-system-tray-detected-on-this-system

And hplip fails, because of broken deps for panel, etc. :)

Code:
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/lib64/gnome-bluetooth/plugins/libnma.so -> gnome-extra/nm-applet
 *   /usr/lib64/gnome-panel/4.0/libclock-applet.so -> gnome-base/gnome-panel
 *   /usr/lib64/libgdprivate-1.0.so.0.0.0 -> gnome-extra/gnome-documents
 *   /usr/lib64/libtelepathy-farsight.la -> net-libs/telepathy-farsight
 *   /usr/lib64/libtelepathy-farsight.so.0.1.6 -> net-libs/telepathy-farsight
 *   /usr/lib64/python2.7/site-packages/tpfarsight.so -> net-libs/telepathy-farsight
 *   /usr/libexec/gd-tracker-gdata-miner -> gnome-extra/gnome-documents
 *   /usr/libexec/gnome-shell-calendar-server -> gnome-base/gnome-shell
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --complete-graph=y --oneshot   gnome-base/gnome-panel:0 gnome-base/gnome-shell:0 gnome-extra/gnome-documents:0 gnome-extra/nm-applet:0 net-libs/telepathy-farsight:0
..........
Calculating dependencies... done!
[ebuild  N     ] net-libs/farsight2-0.0.29  USE="python upnp -msn"
[ebuild   R    ] net-libs/telepathy-farsight-0.0.19
[ebuild   R    ] gnome-base/gnome-panel-3.2.1
[ebuild   R    ] gnome-extra/nm-applet-0.9.4.1
[ebuild   R    ] gnome-base/gnome-shell-3.4.0
[ebuild     U  ] gnome-extra/gnome-documents-0.4.0.1 [0.2.1]
[blocks B      ] net-libs/farsight2 ("net-libs/farsight2" is blocking net-libs/farstream-0.1.2)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (net-libs/farsight2-0.0.29::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/farsight2-0.0.29 required by (net-libs/telepathy-farsight-0.0.19::gentoo, ebuild scheduled for merge)

  (net-libs/farstream-0.1.2::gentoo, installed) pulled in by
    >=net-libs/farstream-0.1.0 required by (net-libs/telepathy-farstream-0.2.3::gentoo, installed)


l8r
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1952
Location: Poland

PostPosted: Tue Apr 03, 2012 7:26 pm    Post subject: Reply with quote

Unfortunately gnome overlay is far from complete. Oh well...
Back to top
View user's profile Send private message
Arkhelion
Tux's lil' helper
Tux's lil' helper


Joined: 07 Sep 2010
Posts: 131
Location: France

PostPosted: Tue Apr 03, 2012 7:28 pm    Post subject: Reply with quote

Issue fixed with gnome-panel-9999 in overlay (at least here - posted from Gnome 3.4).
_________________
Arkhelion
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1952
Location: Poland

PostPosted: Tue Apr 03, 2012 7:47 pm    Post subject: Reply with quote

That's strange, because I did try gnome-panel-9999 before giving up.
Back to top
View user's profile Send private message
XavierMiller
Moderator
Moderator


Joined: 23 Jul 2004
Posts: 5465
Location: ~Brussels - Belgique

PostPosted: Wed Apr 04, 2012 7:05 am    Post subject: Reply with quote

Yeah, but did you refresh it ? -9999 are live ebuilds, that change every seconds ;)
_________________
Xavier Miller
(FR) Merci de respecter les règles du forum.
http://www.xaviermiller.be
Back to top
View user's profile Send private message
dnlddz
n00b
n00b


Joined: 06 Apr 2012
Posts: 3
Location: California

PostPosted: Fri Apr 13, 2012 7:04 pm    Post subject: Patience Reply with quote

The only reason I even want to upgrade to 3.4 is the addition of shutdown options to ctrl+alt+del menu. Other than that, I have grown to love gnome 3. Took a while, but once you get it down its very hard to go back to gnome 2 (at least for me, everyone has their own opinions).

I Had a similar issue with HPLIP and unfortunately I do not recall how I fixed it. I know I was missing some dependencies and permissions, you might want to start there and see whats going on.
_________________
"All in all is all we are" Kurt Kobain
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 7712
Location: Somewhere over Atlanta, Georgia

PostPosted: Sun Apr 15, 2012 11:51 am    Post subject: Reply with quote

Moved from Desktop Environments to Unsupported Software. Since Gnome 3.4* isn't in the tree yet, it fits better here.

- John
_________________
This space intentionally left blank.
Back to top
View user's profile Send private message
dansou90
n00b
n00b


Joined: 13 Apr 2012
Posts: 65

PostPosted: Sun Apr 15, 2012 2:50 pm    Post subject: Reply with quote

I've got problems compiling Gnome 3.4, even from a fresh Gentoo install (See my thread, it's called "Problems compiling Gnome 3.4"). Now I try to revert back to Gnome 3.2 to have a working desktop environment next to KDE...
Back to top
View user's profile Send private message
monsm
Guru
Guru


Joined: 26 Sep 2007
Posts: 463
Location: London, UK

PostPosted: Fri Apr 20, 2012 7:53 pm    Post subject: Reply with quote

Looking at http://dev.gentoo.org/~nirbheek/gnome/3.4/status.html It seems we are getting ever closer.

Not that many packages that are very out of date now. Think I'll install soon.
Keep up the work, devs :D

Mons
Back to top
View user's profile Send private message
monsm
Guru
Guru


Joined: 26 Sep 2007
Posts: 463
Location: London, UK

PostPosted: Fri Apr 27, 2012 6:03 pm    Post subject: Reply with quote

monsm wrote:
Looking at http://dev.gentoo.org/~nirbheek/gnome/3.4/status.html It seems we are getting ever closer.

Not that many packages that are very out of date now. Think I'll install soon.
Keep up the work, devs :D

Mons


Might have been a bit optimistic last week. Anyone know how things are going with getting Gnome 3.4 into overlay?

Mons
Back to top
View user's profile Send private message
Thistled
Guru
Guru


Joined: 06 Jan 2011
Posts: 476
Location: Scotland

PostPosted: Sat May 05, 2012 1:54 pm    Post subject: Reply with quote

It looks as if it has appeared in the online package database, albeit masked.
Not long to go now I'd imagine.
_________________
Whatever you do, do it properly!
Back to top
View user's profile Send private message
PhaytalError
n00b
n00b


Joined: 17 May 2012
Posts: 46

PostPosted: Tue May 29, 2012 4:27 pm    Post subject: Reply with quote

The most recent stats are as of Thursday May 24, 2012:

Compliant Packages: 127 (92.70%)
Packages requiring update: 5 (3.65%)
Packages missing from tree: 0 (0.00%)
Back to top
View user's profile Send private message
Thistled
Guru
Guru


Joined: 06 Jan 2011
Posts: 476
Location: Scotland

PostPosted: Tue May 29, 2012 4:50 pm    Post subject: Reply with quote

Already we are beginning to see some of the newer packages beginning to appear in the tree. Albeit masked.
Not long until they become ~ I'd imagine.
I publicly thanked Nirbheek on google+ and he says we should be thanking tetromino, as he is doing all the hard work on this one.
_________________
Whatever you do, do it properly!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum